<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="enable" type="bool" writable="true" default="true"
    description="When true an output carrier wave is generated. When false the component output is disabled."/>
  <property name="step_size" type="long" writable="true" default="0"
    description="Sets the step size of the carrier generator which determines the output frequency. step_size =
      (desired_freq*2^32)/sample_rate"/>
  <property name="carrier_amplitude" type="ushort" writable="true" default="19872"
    description="Sets the amplitude of the output carrier signal. Set to floor(desired_amplitude/1.646760258)."/>
  <property name="discontinuity_on_step_size_change" type="bool" writable="true" default="false"
    description="Sends a discontinuity message at the point the step size changes at the output."/>
  <property name="discontinuity_on_carrier_amplitude_change" type="bool" writable="true" default="false"
    description="Sends a discontinuity message at the point the carrier amplitude changes at the output."/>
  <property name="message_length" type="ushort" writable="false" initial="true" default="512"
    description="Sets the output message length. Must not be 0."/>
  <port name="output" producer="true" protocol="short_timed_sample-prot"/>
</componentspec>
